## libsdl2-mixer 2.8.0%2Bdfsg

=== debian/tests/control ===
Tests: libsdl2-mixer-dev
Restrictions: allow-stderr, superficial
Depends:
 alsa-utils,
 build-essential,
 cmake,
 libsdl2-mixer-dev,
 ninja-build,
 pkg-config,
 xauth,
 xvfb,
