=== debian/changelog ===
libsdl2-mixer (2.8.0+dfsg-1build3) noble; urgency=medium

  * Rebuild against new libmpg123t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 05 Apr 2024 08:20:10 +0200

libsdl2-mixer (2.8.0+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:58:00 +0000

libsdl2-mixer (2.8.0+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libflac12t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 14:54:48 +0000

libsdl2-mixer (2.8.0+dfsg-1) unstable; urgency=medium

  * New upstream stable release
  * d/copyright: Exclude vendored minimp3.
    We don't use this in Debian, so there's little value in reviewing new
    versions or tracking their copyright status in d/copyright.
  * d/copyright: Update
  * d/libsdl2-mixer-2.0-0.symbols: Update
  * d/rules: Update build options to enable/disable codecs.
    GME (game music emulation) and WavPack are disabled for now,
    to minimize dependencies and security exposure. Enabling them in
    future would be a compatible change, if a game in Debian needs them,
    but disabling them after they were enabled would be an incompatible
    change, so the conservative approach is to start small.
  * d/clean: Fix FTBFS-twice-in-a-row by removing regenerated files
    (Closes: #1046994)
  * d/gbp.conf: Only sign packaging tags, not upstream tags
  * d/gbp.conf: Rely on uscan to repack upstream source.
    This will use Files-Excluded in d/copyright, rather than separate
    configuration.
  * d/gbp.conf: Use DEP-14 branch names

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Jan 2024 13:12:35 +0000
