## libsdl2-mixer 2.8.1%2Bdfsg

=== debian/changelog ===
libsdl2-mixer (2.8.1+dfsg-4) unstable; urgency=medium

  * d/rules: Include dpkg/default.mk, dpkg/buildtools.mk for
    definition of CC
    - Adjust ordering to preserve quoting in CPPFLAGS
  * d/rules: Use host ${PKG_CONFIG} to gather dlopen'd dependencies
  * d/salsa-ci.yml: Skip redundant build jobs
  * d/salsa-ci.yml: Exercise cross-compilation

 -- Simon McVittie <smcv@debian.org>  Mon, 01 Sep 2025 10:49:01 +0100

libsdl2-mixer (2.8.1+dfsg-3) unstable; urgency=medium

  * Pass CPPFLAGS to compiler when discovering shlibdeps for fluidsynth,
    silencing a blhc warning
  * Standards-Version: 4.7.2 (no changes required)
  * Fix a typo in the 2.8.1+dfsg-1 changelog

 -- Simon McVittie <smcv@debian.org>  Tue, 19 Aug 2025 09:52:14 +0100

libsdl2-mixer (2.8.1+dfsg-2) unstable; urgency=medium

  * d/libsdl2-mixer-2.0-0.symbols: Only generate dependencies on stable
    releases
  * d/control, d/rules: Switch from modplug to libxmp as recommended by
    upstream
  * d/control, d/rules, d/clean: Load libfluidsynth dynamically.
    This allows it to be relaxed from Depends to Recommends, and allows
    its -dev package to be dropped from the Depends of the -dev package,
    which in turn means that developers do not always need the fluidsynth
    service installed.
  * d/rules: Remove build option explicitly disabling mikmod.
    This backend was removed in 2.6.0.
  * d/rules: Remove option explicitly disabling libmad for MP3.
    This backend was removed in 2.6.0.

 -- Simon McVittie <smcv@debian.org>  Tue, 11 Mar 2025 11:25:34 +0000

libsdl2-mixer (2.8.1+dfsg-1) unstable; urgency=medium

  * New upstream stable release
  * d/copyright: Update
  * d/control, d/copyright: Update upstream URL references to point to Github
  * Standards-Version: 4.7.0 (no changes required)
  * d/control, d/tests: Depend on pkgconf in preference to pkg-config
  * d/rules, d/libsdl2-mixer-dev.install: Install examples as manual tests.
    Install them to a multiarch location since we don't currently have a
    libsdl2-mixer-tests package, and it doesn't seem worth adding one for
    two small manual tests.
  * d/salsa-ci.yml: Add

 -- Simon McVittie <smcv@debian.org>  Sat, 08 Feb 2025 16:08:16 +0000
