=== debian/changelog ===
libsdl2-mixer (2.8.1+dfsg-5) unstable; urgency=medium

  * d/rules, d/tests, d/libsdl2-mixer-dev.install:
    Don't build a static library.
    This won't be practically useful when "classic" SDL2 is replaced by
    sdl2-compat, which needs a shared SDL3 anyway.
  * d/watch*: Update to uscan format v5
  * d/control: Remove Rules-Requires-Root: no, unnecessary since Debian 13

 -- Simon McVittie <smcv@debian.org>  Sat, 20 Dec 2025 14:40:55 +0000
