=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>, Simon McVittie <smcv@debian.org>
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                libflac-dev,
                libfluidsynth-dev,
