=== debian/rules ===
--- 
+++ 
@@ -2,17 +2,14 @@
 
 #export DH_VERBOSE=1
 
-# fix for #725564
-MODPLUG_INCLUDE_DIR := -I/usr/include/libmodplug
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
+export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall
 
-export DEB_BUILD_MAINT_OPTIONS := hardening=+all
+include /usr/share/dpkg/default.mk
+include /usr/share/dpkg/buildtools.mk
 
-export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall $(MODPLUG_INCLUDE_DIR)
 # bug #715461, provide default soundfont paths
-export DEB_CPPFLAGS_MAINT_APPEND := -DMIX_INIT_SOUNDFONT_PATHS="\"/usr/share/sounds/sf3/default-GM.sf3\""
-
-include /usr/share/dpkg/architecture.mk
-
+export CPPFLAGS += -DMIX_INIT_SOUNDFONT_PATHS="\"/usr/share/sounds/sf3/default-GM.sf3\""
 
 # disable autoheader (invoked automatically by autoreconf), necessary in order
 # to use debhelper compat level v10 without overriding dh-autoreconf calls
@@ -20,6 +17,11 @@
 # use correct invocation of aclocal for autoreconf
 export ACLOCAL := aclocal --force --install -I /usr/share/aclocal/ -I acinclude
 
+confflags :=
+# Static SDL2-based libraries are no longer useful with sdl2-compat,
+# which needs a shared SDL3 anyway
+confflags += --enable-shared
+confflags += --disable-static
 
 # explicitly enable/disable all supported sound
 #
@@ -29,7 +31,7 @@
 # library package
 #
 # enable external music player
-confflags := --enable-music-cmd
+confflags += --enable-music-cmd
 # flac
 confflags += --enable-music-flac
 confflags += --enable-music-flac-libflac
@@ -39,20 +41,19 @@
 confflags += --disable-music-gme
 # MIDI
 confflags += --enable-music-midi-fluidsynth
-confflags += --disable-music-midi-fluidsynth-shared
+confflags += --enable-music-midi-fluidsynth-shared
 confflags += --enable-music-midi-timidity
 confflags += --enable-music-midi-native
 # MOD
 confflags += --enable-music-mod
-confflags += --enable-music-mod-modplug
-confflags += --disable-music-mod-mikmod
-confflags += --disable-music-mod-modplug-shared
-confflags += --disable-music-mod-xmp
+confflags += --disable-music-mod-modplug
+confflags += --enable-music-mod-xmp
+confflags += --disable-music-mod-xmp-lite
+confflags += --disable-music-mod-xmp-shared
 # MP3
 confflags += --enable-music-mp3
 confflags += --enable-music-mp3-mpg123
 confflags += --disable-music-mp3-mpg123-shared
-confflags += --disable-music-mp3-mad-gpl
 confflags += --disable-music-mp3-minimp3
 # ogg
 confflags += --enable-music-ogg
@@ -70,12 +71,18 @@
 confflags += --disable-music-wavpack-dsd
 confflags += --disable-music-wavpack-shared
 
+# install manual tests to a multiarch-friendly location, since we don't have
+# a libsdl2-mixer-tests package
+confflags += --bindir=/usr/lib/$(DEB_HOST_MULTIARCH)/installed-tests/SDL2_mixer
 
 %:
 	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(confflags)
+
+override_dh_auto_install:
+	dh_auto_install -- install install-bin
 
 override_dh_autoreconf:
 	$(ACLOCAL)
@@ -91,3 +98,11 @@
 
 override_dh_compress:
 	dh_compress -Xplaymus.c -Xplaywave.c
+
+debian/shlibdeps-helper.so: debian/shlibdeps-helper.c debian/rules
+	$(CC) -shared $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -Wl,--no-as-needed \
+		-o$@ $< \
+		$$($(PKG_CONFIG) --cflags --libs fluidsynth)
+
+execute_after_dh_shlibdeps-arch: debian/shlibdeps-helper.so
+	dh_shlibdeps -plibsdl2-mixer-2.0-0 -- --warnings=0 -pdlopen -dRecommends -e$<
