=== debian/watch ===
Version: 5

# Upstream releases official source tarballs, so we use
# those in preference to git tags
Source: https://github.com/libsdl-org/SDL_mixer/tags
Matching-Pattern: .*/releases/tag/(?:release)-?(2\.[0-9.]+)
Compression: gzip
Download-Url-Mangle: s#/tag/#/download/#;s#((?:prerelease|preview|release)-?@ANY_VERSION@)$#$1/SDL2_mixer-$2.tar.gz#
Dversion-Mangle: s/[+~](?:ds|dfsg)[0-9]*$//;s/\+(?:git)?[0-9]+(?:\+g[0-9a-f]*)?$//
Filename-Mangle: s#(?:prerelease|preview|release)-?@ANY_VERSION@#SDL2_mixer-$1.tar.gz#
Pgp-Mode: auto
Repack: yes
Repack-Suffix: +dfsg
